body {
    background: #f5f5f5;
    min-height: 100vh;
    height: 100%;
}

.auth__form {
    height: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.auth__form .auth__form__content {
    padding: 40px;
    background: #ffffff;
    -webkit-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    -moz-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    width: calc(100% - 20px);
    max-width: 360px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.auth__form .auth__form__content img:first-child {
    width: 100%;
    max-width: 180px;
    margin: 0 auto;
}

body .auth__form .btn.btn-sm:after {
    margin: 0 0 -6px 8px
}

.loading {
    position: relative;
}

.loading:after {
    content: "";
    z-index: 1;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, .4);
    position: absolute;
    left: 0;
    top: 0;
}

.loading:before {
    z-index: 2;
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transform-origin: 50%;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-top-color: #333;
    animation: spin .3s infinite linear;
    animation-fill-mode: forwards;
}

@keyframes spin {
    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

.container__cabinet {
    height: 100%;
    min-height: 100vh;
    display: grid;
    grid-template-columns: 320px auto;
    background: #ffffff;
    -webkit-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    -moz-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
}

.container__cabinet .container__cabinet__menu {
    background: #F39314;
    padding: 40px 0;
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__content {
    position: sticky;
    height: max-content;
    top: 40px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__item {
    display: flex;
    gap: 10px;
    align-items: center;
    text-align: center;
    padding: 20px 40px;
    text-decoration: none !important;
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__item .container__cabinet__menu__item__text {
    font-size: 14px;
    text-decoration: none;
    color: #fff;
    text-align: left;
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__item .container__cabinet__menu__item__text span {
    display: block;
    font-size: 12px;
    color: rgba(255, 255, 255, .6);
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__item svg {
    width: 18px;
    height: auto;
    fill: #fff;
}

.container__cabinet .container__cabinet__menu .container__cabinet__menu__item:hover {
    background: rgba(0, 0, 0, .1);
}

.container__cabinet .container__cabinet__page {
    padding: 40px;
}

.container__cabinet__menu__user {
    display: flex;
    width: calc(100% - 80px);
    align-items: center;
    gap: 10px;
    margin: 20px auto;
    background: #ffffff;
    padding: 20px;
}

.container__cabinet__menu__user img {
    width: 48px;
    height: 48px;
}

.container__cabinet__menu .container__cabinet__menu__logo {
    margin-left: auto;
    margin-right: auto;
}

.container__cabinet__menu .container__cabinet__menu__logo a {
    display: flex;
    align-items: center;
    font-weight: 600;
    text-decoration: none;
    color: #ffffff !important;
    gap: 10px;
    letter-spacing: 1px;
    font-size: 24px;
}

.container__cabinet__menu .container__cabinet__menu__logo svg {
    width: 72px;
    fill: #ffffff;
}

.container__cabinet__menu__user .container__cabinet__menu__user__data .container__cabinet__menu__user__data__username {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 4px;
}

.container__cabinet__menu__user .container__cabinet__menu__user__data .container__cabinet__menu__user__data__status {
    font-size: 10px;
    padding: 4px 6px;
    color: #ffffff;
}

.container__cabinet__menu__user .container__cabinet__menu__user__data .container__cabinet__menu__user__data__status.container__cabinet__menu__user__data__status-paid {
    background: #59a91c;
}

.card {
    border: none;
    border-radius: 0;
    background-color: #fff;
    padding: 40px;
    -webkit-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
}

.card .card-header {
    border-radius: 0;
    padding: 0;
    background: none;
    border: none;
    color: #818181;
    font-size: 24px;
    font-weight: 699;
    margin-bottom: 1rem;
}

.card-body {
    padding: 0;
}

.card .card-body .h3 {
    text-transform: initial;
}

ol.tree {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 0;
}

ol.tree label {
    margin-bottom: 0;
}

li {
    position: relative;
    list-style: none;
}

li input {
    display: none;
}
li input + ol {
    margin: -0.938em 0 0 -44px; /* 15px */
    height: 1em;
}
li input + ol > li {
    display: none;
    margin-left: -14px !important;
    padding-left: 10px;
    background: transparent;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    border: 1px dashed rgba(0, 0, 0, .15);
}
li input:checked + ol {
    margin: -1.25em 0 0 -44px; /* 20px */
    padding: 1.563em 0 0 60px;
    height: auto;
}
li input:checked + ol > li { display: block; margin: 0 0 0.125em;  /* 2px */}
li input:checked + ol > li:last-child { margin: 0 0 0.063em; /* 1px */ }

li.file {
    border: none;
}

li.file a {
    color: #000000;
    text-decoration: none;
    display: block;
    position: relative;
}

li.file a span {
    padding-left: 28px;
}

li.file a:hover {
    color: #000000;
    text-decoration: underline;
}

li.toggle {
    background: #ffffff;
    -webkit-box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    box-shadow: 3px 0 38px 0 rgba(0, 0, 0, 0.09);
    padding: 20px 30px;
    position: relative;
    z-index: 1;
}

li.toggle label {
    display: block;
    cursor: pointer;
    position: relative;
    z-index: 2;
}

li.file a:before {
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    background: url(../img/document.svg) center no-repeat;
    background-size: cover;
    top: 50%;
    transform: translateY(-50%);
}

li.file a[href*='.pdf']:before {
    background: url(../img/pdf.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.htm']:before,
li.file a[href*='.html']:before {
    background: url(../img/html.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.txt']:before {
    background: url(../img/txt.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.zip']:before,
li.file a[href*='.gz']:before {
    background: url(../img/zip.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.jpg']:before,
li.file a[href*='.gif']:before,
li.file a[href*='.ico']:before {
    background: url(../img/jpg.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.png']:before {
    background: url(../img/png.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.css']:before {
    background: url(../img/css.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.js']:before {
    background: url(../img/js.svg) center no-repeat;
    background-size: cover;
}

li.file a[href*='.php']:before {
    background: url(../img/php.svg) center no-repeat;
    background-size: cover;
}

ol.tree li ol .toggle label {
    position: relative;
    padding-left: 28px;
}

ol.tree li ol .toggle label:before {
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    background: url(../img/folder.svg) center no-repeat;
    background-size: cover;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
}

.btn.btn-add {
    padding: 20px 30px;
    border: 1px dashed rgba(0, 0, 0, .15);
    display: flex;
    width: 100%;
    color: #818181;
    align-items: center;
    gap: 10px;
}

.btn.btn-add .icon {
    background: #818181;
    width: 18px;
    height: 18px;
    border-radius: 6px;
    color: #ffffff;
    line-height: 16px;
}

.select2.select2-container--select-primary {
    margin-bottom: 0;
}